## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class DeletePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.DeletePersistentMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public class DeletePersistentMethod

extends AbstractDynamicPersistentMethod

Since:
  Aug 7, 2005
Author:
  Steven Devijver, Graeme Rocher

Field Summary
`static Pattern` `METHOD_PATTERN`
`static String` `METHOD_SIGNATURE`

Constructor Summary
`DeletePersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Object target, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_PATTERN

    public static final Pattern METHOD_PATTERN

Constructor Detail

### DeletePersistentMethod

    public DeletePersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                  ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Object target,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractDynamicPersistentMethod`

Copyright (c) 2005-2006 The Grails project